appdata-tools-0.1.8

Introduction to appdata-tools

The appdata-tools is used to validate AppData files to conform to standard specification.

This package is known to build and work properly using an LFS-7.5 platform.

Package Information

appdata-tools Dependencies

Required

appstream-glib-0.2.5

Recommended

Optional

libxml2-2.9.1, libxslt-1.1.28, docbook-xml-4.5, docbook-xsl-1.78.1, trang, and lxml

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/appdata-tools

Installation of appdata-tools

Install appdata-tools by running the following commands:

./configure --prefix=/usr &&
make

This package does not come with a test suite.

Now, as the root user:

make install

Contents

Installed Programs: appdata-validate
Installed Libraries: None
Installed Directories: None

Short Descriptions

appdata-validate

validates AppData metadata.

Last updated on 2014-09-01 18:26:44 +0000